package com.kingdee.eas.custom.compensation.startingsalary.backgroundtransaction;

import javax.ejb.*;
import java.rmi.RemoteException;
import com.kingdee.bos.*;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.metadata.IMetaDataPK;
import com.kingdee.bos.metadata.rule.RuleExecutor;
import com.kingdee.bos.metadata.MetaDataPK;
//import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.bos.framework.ejb.AbstractEntityControllerBean;
import com.kingdee.bos.framework.ejb.AbstractBizControllerBean;
//import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.dao.IObjectValue;
import com.kingdee.bos.dao.IObjectCollection;
import com.kingdee.bos.service.ServiceContext;
import com.kingdee.bos.service.IServiceContext;
import com.kingdee.eas.framework.Result;
import com.kingdee.eas.framework.LineResult;
import com.kingdee.eas.framework.exception.EASMultiException;
import com.kingdee.bos.dao.ormapping.ObjectUuidPK;

import java.lang.String;



public abstract class AbstractCreateBatchAdjustBillFacadeControllerBean extends AbstractBizControllerBean implements CreateBatchAdjustBillFacadeController
{
    protected AbstractCreateBatchAdjustBillFacadeControllerBean()
    {
    }

    protected BOSObjectType getBOSType()
    {
        return new BOSObjectType("AB414F48");
    }

    public void createBill(Context ctx, String otherContractId, int leadDays, String startDate, String endDate) throws BOSException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("4b34dedb-fdb6-45eb-98b1-f6bc5db8660a"), new Object[]{ctx, otherContractId, new Integer(leadDays), startDate, endDate});
            invokeServiceBefore(svcCtx);
              if(!svcCtx.invokeBreak()) {
            _createBill(ctx, otherContractId, leadDays, startDate, endDate);
            }
            invokeServiceAfter(svcCtx);
        } catch (BOSException ex) {
            throw ex;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected void _createBill(Context ctx, String otherContractId, int leadDays, String startDate, String endDate) throws BOSException
    {    	
        return;
    }

}